Subject: Re: [PATCH v3 08/11] reftable: order unittests by complexity

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Dec 2021 14:13:12 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>>  int cmd__reftable(int argc, const char **argv)
>>  {
>> +	// test from simple to complex.
>
> A C99 comment, which I don't mind, but is explicitly forbidden by the
> style guide (and when I mentioned recently that we didn't have any
> portability reasons not to use these, there wasn't much/any interest in
> changing that...).

Unlike the decl-after-statement thing, I personally do not mind
something that does not upset compilers and does not hurt human
readability greatly, like the use of "//".  But I do not care about
it deeply enough to find it worth my time to raise it as a separate
topic and update the guideline.